DataReaderProperties.Builder (ORC Core 1.6.6 API)
Date: 2021-01-13

org.apache.orc.impl

## Class DataReaderProperties.Builder

- java.lang.Object
- - org.apache.orc.impl.DataReaderProperties.Builder

- Enclosing class:
    DataReaderProperties

      public static class DataReaderProperties.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataReaderProperties` | `build()`
    `DataReaderProperties.Builder` | `withCompression(InStream.StreamOptions value)`
    `DataReaderProperties.Builder` | `withFile(FSDataInputStream file)`
    `DataReaderProperties.Builder` | `withFileSystem(FileSystem filesystem)`
    `DataReaderProperties.Builder` | `withFileSystemSupplier(Supplier<FileSystem> supplier)`
    `DataReaderProperties.Builder` | `withMaxDiskRangeChunkLimit(int value)`
    `DataReaderProperties.Builder` | `withPath(Path path)`
    `DataReaderProperties.Builder` | `withZeroCopy(boolean zeroCopy)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withFileSystemSupplier

          public DataReaderProperties.Builder withFileSystemSupplier(Supplier<FileSystem> supplier)

    - #### withFileSystem

          public DataReaderProperties.Builder withFileSystem(FileSystem filesystem)

    - #### withPath

          public DataReaderProperties.Builder withPath(Path path)

    - #### withFile

          public DataReaderProperties.Builder withFile(FSDataInputStream file)

    - #### withCompression

          public DataReaderProperties.Builder withCompression(InStream.StreamOptions value)

    - #### withZeroCopy

          public DataReaderProperties.Builder withZeroCopy(boolean zeroCopy)

    - #### withMaxDiskRangeChunkLimit

          public DataReaderProperties.Builder withMaxDiskRangeChunkLimit(int value)

    - #### build

          public DataReaderProperties build()

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.